Hi.

Enabled AdaptiveTheme, enabled Sky, enabled a sub-theme of sky (my own custom theme, not using footheme), and got this:

Notice: Undefined index: three_33_top in include() (line 49 of ROOT\sites\all\themes\sky\templates\page.tpl.php).
Notice: Undefined index: three_33_first in include() (line 50 of ROOT\sites\all\themes\sky\templates\page.tpl.php).
Notice: Undefined index: three_33_second in include() (line 51 of ROOT\sites\all\themes\sky\templates\page.tpl.php).
Notice: Undefined index: three_33_third in include() (line 52 of ROOT\sites\all\themes\sky\templates\page.tpl.php).
Notice: Undefined index: three_33_bottom in include() (line 53 of ROOT\sites\all\themes\sky\templates\page.tpl.php).
Notice: Undefined index: four_first in include() (line 138 of ROOT\sites\all\themes\sky\templates\page.tpl.php).
Notice: Undefined index: four_second in include() (line 139 of ROOT\sites\all\themes\sky\templates\page.tpl.php).
Notice: Undefined index: four_third in include() (line 140 of ROOT\sites\all\themes\sky\templates\page.tpl.php).
Notice: Undefined index: four_fourth in include() (line 141 of ROOT\sites\all\themes\sky\templates\page.tpl.php).

Any help/idea?

Thanks!

Comments

amingilani’s picture

I got similar errors on a fresh install. Only, i'm using Corolla via Footheme:

Notice: Undefined index: three_33_top in include() (line 52 of /home/foo/fii/sites/all/themes/corolla/templates/page.tpl.php).
Notice: Undefined index: three_33_bottom in include() (line 56 of /home/foo/fii/sites/all/themes/corolla/templates/page.tpl.php).
jhmoore’s picture

Same issue here. It happens both when I use Corolla and Sky as the base for Footheme.

Clarification: I get the exact same error messages as amingilani when I use Corolla. I don't get as many error messages as the OP for Sky - I only get the errors on line 49 and 53.

Follow Up: I decided test this with Pixture Reloaded as well. I get these errors:

Notice: Undefined index: three_33_top in include() (line 55 of /home/grammaticus/jhm/sites/all/themes/pixture_reloaded/templates/page.tpl.php).
Notice: Undefined index: three_33_bottom in include() (line 59 of /home/grammaticus/jhm/sites/all/themes/pixture_reloaded/templates/page.tpl.php).

jhmoore’s picture

OK, apparently you have to use the 7.x-2.x versions of AT, Corolla, and Footheme in order for everything to work properly. At the moment, AT has a 7.x-3.x release, Corolla has a v3 release candidate, and Footheme is still on v2.

Jeff Burnz’s picture

When you get this notice check the region definitions exist in the info file - this is what PHP is telling you, that the region definitions don't exist, and they need to be in the info file and then clear the cache.

I am updating Footheme today for Corolla 3.x, remember its designed to work with Corolla first, if you use with other themes you have to make the changes outlined in the readme.

humanurine’s picture

Project:Sky» Corolla

What does this actually mean? Do I have to put new regions definitions in that template file of corolla? where do I get this definitions from? from the footheme?
Thanks for your helpl
Footheme with Corolla: see my screenschoot

http://ubuntuone.com/5TYrih5QxQmuzo5utTaXJS

Jeff Burnz’s picture

Its possible, yes, because I may have made a mistake, which I believe I did in Footheme 3.x (which I am of course fixing now), and forgotten to update the regions in the info file.

Of course if you are using PR, Sky etc then you absolutely must copy and paste all the regions from Sky (for example) to Footheme info file, including the Gpanel regions - and of course remove the originals.

donok’s picture

ah ha --

I added:

regions[three_33_top] = Top panel top
regions[three_33_bottom] = Top panel bottom

to my footheme.info file under regions and I stopped getting the error

going to "Demonstrate block regions (footheme)" in blocks showed that they are there - which I assume fixed the issue...

-- Don

zocs’s picture

Thanks donok, your solution works for me too.

t_ boyd’s picture

Tried adding
regions[three_33_top] = Top panel top
regions[three_33_bottom] = Top panel bottom

to footheme.info, but am still getting the error:

Notice: Undefined index: three_33_top in include() (line 52 of /var/www/vhosts/mcboydbuilders.com/httpdocs/sites/all/themes/corolla/templates/page.tpl.php).
Notice: Undefined index: three_33_bottom in include() (line 56 of /var/www/vhosts/mcboydbuilders.com/httpdocs/sites/all/themes/corolla/templates/page.tpl.php).

-Tom

Jxmiel’s picture

I also have same problem.

Added
regions[three_33_top] = Top panel top
regions[three_33_bottom] = Top panel bottom

In my template.info, under ;----------// Regions.. but still same message:

    Notice: Undefined index: three_33_first en include() (línea 50 de ...sites/all/themes/sky/templates/page.tpl.php).
    Notice: Undefined index: three_33_second en include() (línea 51 de ...sites/all/themes/sky/templates/page.tpl.php).
    Notice: Undefined index: three_33_third en include() (línea 52 de...sites/all/themes/sky/templates/page.tpl.php).
    Notice: Undefined index: four_first en include() (línea 138 de ...sites/all/themes/sky/templates/page.tpl.php).
    Notice: Undefined index: four_second en include() (línea 139 de ...sites/all/themes/sky/templates/page.tpl.php).
    Notice: Undefined index: four_third en include() (línea 140 de...sites/all/themes/sky/templates/page.tpl.php).
    Notice: Undefined index: four_fourth en include() (línea 141 de ...sites/all/themes/sky/templates/page.tpl.php).

FOOTHEME:
; Information added by drupal.org packaging script on 2012-09-19
version = "7.x-3.0-rc1"
core = "7.x"
project = "footheme"
datestamp = "1348059849"

SKY:
; Information added by drupal.org packaging script on 2012-07-31
version = "7.x-3.0-rc1"
core = "7.x"
project = "sky"
datestamp = "1343717266"

AT:
; Information added by drupal.org packaging script on 2012-08-29
version = "7.x-3.1"
core = "7.x"
project = "adaptivetheme"
datestamp = "1346238662"

Akrax’s picture

Same issue too, resolved as #7, replaced in footheme
;----------// Regions
and
;----------// Gpanel Regions
as found in corolla

Had to disable/reactivate the theme.

version = "7.x-3.1"
core = "7.x"
project = "adaptivetheme"
datestamp = "1346238662"

version = "7.x-3.0-rc1"
core = "7.x"
project = "corolla"
datestamp = "1343717220"

version = "7.x-3.0-rc1"
core = "7.x"
project = "footheme"
datestamp = "1348059849"

Jxmiel’s picture

Thanks Akrax!

Adding ;----------// Gpanel Regions
as found in SKY fixed the issue.

wayne2011’s picture

I added the whole Gpanels section from Corolla to Footheme .info file and that also fixed the problem.

gilcrespo’s picture

Hi Jeff, nice to meet you.
About this copy/past from PR to footheme (in my case), do you think is better to create an issue on footheme and fix it in a patch to solve this minor problem?

Thanks to your attention :)

Sandip Choudhury’s picture

Hello,

I am using - Adaptivetheme 7.x-3.1, Corolla 7.x-3.0-rc1 and Footheme 7.x-3.0-rc1. And then I have made sub-theme of Footheme.
I have got this same error as written above.

I added in .info file:
regions[three_33_top] = Page top new
regions[three_33_bottom] = Page bottom new

Now, the error is gone.

But please update in the theme downloads also.

Jeff Burnz’s picture

Yes, I should update the release so this is included, my apologies, I totally forgot about it.

jsmm’s picture

Same problem here when using Footheme with Corolla. I have made Regions and gpanel regions in Corolla and Footheme exactly the same.

Other settings missing in Footheme are:
settings[image_teaser] = 0

and

;----------// Features settings

settings[toggle_logo] = 1
settings[toggle_name] = 1
settings[toggle_slogan] = 1
settings[toggle_node_user_picture] = 1
settings[toggle_comment_user_picture] = 1
settings[toggle_comment_user_verification] = 1
settings[toggle_favicon] = 1

Joel MMCC’s picture

As @Sandip Choudhury noted in #15 above, you still have an incompatibility between Corolla 7.x-3.0-rc1 and Foothemes 7.x-3.0-rc1. footheme.info still lacks the “three_33_top” and “three_33_bottom” GPanel Regions.

Need to insert these two lines into footheme.info, above and below the other “regions[three_33_…] = Top panel …” region lines (insert into lines 81 and 85, respectively):

  regions[three_33_top] = Top panel top
  ⋮
  regions[three_33_bottom] = Top panel bottom
LittleRedHen’s picture

Thanks Joel at #18: your example fixed this issue for me as well.

fatso’s picture

thanx #18 worked for me.

JAScarb’s picture

Thanks, #18, me too

tsbah’s picture

As #16 it'd be great to update footheme.info as promised.
As of Feb. 2, 2014 they're still missing. And the errors keep flashing.

TIA

BWPanda’s picture

Project:Corolla» Footheme
Version:7.x-3.0-rc1» 7.x-3.x-dev
Issue summary:View changes
Status:Active» Fixed

This was fixed back in 2012 with this commit: http://drupalcode.org/project/footheme.git/commit/7605a5d
@Jeff Burnz just needs to make a new release...

Jeff Burnz’s picture

Indeed he does.

Status:Fixed» Closed (fixed)

Automatically closed - issue fixed for 2 weeks with no activity.

godwing’s picture

Using as the new installed AT Subtheme 7.x-3.2 >>> Corolla 7.x-3.0 >>> Footheme 7.x-3.0-rc1 I got the same error, but thanks to Joel at #18 the issue was resolved. Thanks Joel MMCC!

mfuller526’s picture

Thanks #18. Works perfectly. Here're the revisions as completed within sites/all/themes/footheme/footheme.info:

regions[three_33_top] = Top panel top
regions[three_33_first] = Top panel first
regions[three_33_second] = Top panel second
regions[three_33_third] = Top panel third
regions[three_33_bottom] = Top panel bottom
jcchapster’s picture

#18 indeed resolved the issue for me as well. Experiencing same error, corrected.
Thanks!